#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define _cmake_skip_rpath %nil

%define rel 1

Name:		elisa
Version: 24.08.0
Release:	%mkrel %{rel}
Summary:	A powerful Music Player for Plasma
Group:		Graphical desktop/KDE
License:	LGPLv3+
Url:		https://apps.kde.org/elisa/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickTest)
BuildRequires:	cmake(Qt6QuickWidgets)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Kirigami)
BuildRequires:	cmake(KF6KirigamiAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6FileMetaData)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ColorScheme)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6QQC2DesktopStyle)

BuildRequires:	pkgconfig(libvlc)

Requires:	kirigami
Requires:	kirigami-addons
# mga#30983
Requires:	vlc-plugin-pulse
Recommends:	%{name}-handbook

Provides:	%{name}-player = %{version}-%{release}

%description
Elisa is a simple music player aiming to provide a nice experience
for its users. Elisa allows to browse music by album, artist or
all tracks. The music is indexed using either a private indexer or
an indexer using Baloo. The private one can be configured to scan
music on chosen paths. The Baloo one is much faster because Baloo
is providing all needed data from its own database. You can build
and play your own playlist.

%files -f %{name}.lang
%{_kf6_categoriesdir}/%{name}.categories
%{_kf6_bindir}/%{name}
%{_kf6_libdir}/%{name}/
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_iconsdir}/*/*/*/*
%_datadir/dbus-1/services/org.kde.elisa.service

#--------------------------------------------------------------------

%package	handbook
Summary:	Elisa Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides Elisa handbook.

%files handbook
#{_kf6_docdir}/HTML/*/%%{name}/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

# remove unneeded devel files
find %{buildroot} -name 'libelisaLib.so' -delete


%changelog
* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087528
- New version 24.08.0

* Sun Aug 11 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085598
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073132
- New version 24.05.1

* Sun Jun 09 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2071604
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058533
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045079
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037577
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033707
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025050
- New version 24.01.85

* Sat Nov 18 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007633
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989531
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958108
- New version 23.04.1

* Fri Apr 28 2023 daviddavid <daviddavid> 22.12.3-2.mga9
+ Revision: 1955292
- add missing runtime dependency on vlc-plugin-pulse (mga#30983)

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946420
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941710
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922833
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911324
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905180
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886702
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880680
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1872997
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853891
- New version 22.04.0

* Fri Apr 15 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1850229
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1846210
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763782
- New version 21.12.0

* Tue Nov 30 2021 neoclust <neoclust> 21.11.90-1.mga9
+ Revision: 1759878
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1723984
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718279
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698476
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694015
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655538
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643924
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633729
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1626982
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614847
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604046
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596777
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584974
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568060
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559250
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540119
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1514089
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 daviddavid <daviddavid> 19.12.0-1.mga8
+ Revision: 1467081
- New version 19.12.0 (says hello elisa in the KDE applications stack)

* Sun Jun 30 2019 daviddavid <daviddavid> 0.4.2-1.mga8
+ Revision: 1416378
- new version: 0.4.2

* Tue May 21 2019 daviddavid <daviddavid> 0.4.0-1.mga7
+ Revision: 1398738
- new version: 0.4.0

* Sat Mar 30 2019 umeabot <umeabot> 0.3.0-3.mga7
+ Revision: 1381626
- Qt5 Rebuild

* Thu Oct 18 2018 daviddavid <daviddavid> 0.3.0-2.mga7
+ Revision: 1322208
- disable skip rpath

* Sun Sep 30 2018 daviddavid <daviddavid> 0.3.0-1.mga7
+ Revision: 1312592
- new version: 0.3.0

* Sun Sep 23 2018 umeabot <umeabot> 0.2.1-2.mga7
+ Revision: 1297586
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 daviddavid <daviddavid> 0.2.1-1.mga7
+ Revision: 1243349
- new version: 0.2.1

* Fri Jul 06 2018 daviddavid <daviddavid> 0.2.0-1.mga7
+ Revision: 1242260
- new version: 0.2.0

* Wed Apr 18 2018 daviddavid <daviddavid> 0.1.1-1.mga7
+ Revision: 1219807
- new version: 0.1.1

* Mon Apr 16 2018 daviddavid <daviddavid> 0.1-1.mga7
+ Revision: 1219156
- initial package elisa


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.37-2mdv2011.0
+ Revision: 618037
- the mass rebuild of 2010.0 packages

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.37-1mdv2010.0
+ Revision: 370182
- update to new version 0.5.37

* Mon Apr 13 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.35-1mdv2009.1
+ Revision: 366800
- new release 0.5.35

* Mon Mar 16 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.32-1mdv2009.1
+ Revision: 356264
- new release 0.5.32

* Sat Mar 07 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.30-1mdv2009.1
+ Revision: 352183
- new release 0.5.30

* Wed Feb 18 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.28-2mdv2009.1
+ Revision: 342646
- add 00_disable-plugin-updates.patch from Debian: disable automatic updates

* Mon Feb 16 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.28-1mdv2009.1
+ Revision: 341136
- new release 0.5.28

* Thu Feb 12 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.27-1mdv2009.1
+ Revision: 339856
- new release 0.5.27

* Mon Feb 09 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.25-1mdv2009.1
+ Revision: 338667
- new release 0.5.25

* Fri Jan 16 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.23-1mdv2009.1
+ Revision: 330346
- new release 0.5.23

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.22-1mdv2009.1
+ Revision: 318557
- new release 0.5.22

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Dec 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.21-2mdv2009.1
+ Revision: 312409
- drop the setuptools dep again (upstream bug is supposed to be fixed now)

* Tue Dec 09 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.21-1mdv2009.1
+ Revision: 312337
- new release 0.5.21

* Mon Dec 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.20-1mdv2009.1
+ Revision: 308867
- new release 0.5.20

* Mon Dec 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.19-3mdv2009.1
+ Revision: 308747
- restore elisa-core's dependency on python-setuptools (upstream bug #303938)

* Sat Nov 29 2008 Wanderlei Cavassin <cavassin@mandriva.com.br> 0.5.19-2mdv2009.1
+ Revision: 308107
- Requires python-pkg-resources instead of whole python-setuptools,
  not draging python-devel and others at runtime.

* Tue Nov 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.19-1mdv2009.1
+ Revision: 306680
- drop updater.patch, it's not really needed any more
- new release 0.5.19

* Tue Nov 18 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.18-1mdv2009.1
+ Revision: 304122
- adjust file list for some now apparently dead files
- drop manpage location substitution (fixed upstream)
- new release 0.5.18

* Tue Nov 04 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.17-1mdv2009.1
+ Revision: 299868
- new release 0.5.17

* Tue Oct 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.16-1mdv2009.1
+ Revision: 298110
- new release 0.5.16

* Tue Oct 21 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.15-1mdv2009.1
+ Revision: 296240
- drop unneeded.patch (can't do this here any more, moved it to the plugins
  packages)
- new release 0.5.15

* Wed Oct 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.14-1mdv2009.1
+ Revision: 293836
- rediff unneeded.patch
- new release 0.5.14

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.13-2mdv2009.1
+ Revision: 291727
- core conflicts with older plugins-good to fix upgrade

* Fri Oct 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.13-1mdv2009.1
+ Revision: 291598
- rediff unneeded.patch
- new release 0.5.13

* Tue Sep 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.12-1mdv2009.0
+ Revision: 289955
- new release 0.5.12

* Thu Sep 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.11-1mdv2009.0
+ Revision: 288038
- new release 0.5.11

* Tue Sep 09 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.9-1mdv2009.0
+ Revision: 283178
- rediff unneeded.patch
- new release 0.5.9

* Thu Sep 04 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.8-1mdv2009.0
+ Revision: 280814
- new release 0.5.8
- rediff unneeded.patch
- version the intra-elisa requires

* Mon Aug 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.7-1mdv2009.0
+ Revision: 276045
- new release 0.5.7

* Wed Aug 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.5-1mdv2009.0
+ Revision: 271535
- rediff unneeded.patch
- new release 0.5.5

* Thu Jul 31 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.3-3mdv2009.0
+ Revision: 258386
- suggests gstreamer0.10-libvisual (for music visualizations)
- add unneeded.patch: disable several plugins useless on Linux

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.3-2mdv2009.0
+ Revision: 255574
- requires python-twisted-web2

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.3-1mdv2009.0
+ Revision: 254498
- change updater.patch for new release
- small cleanups for new release
- new release 0.5.3

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue May 20 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.5-4mdv2009.0
+ Revision: 209555
- elisa-core requires gstreamer0.10-plugins-base (Caio), suggests gstreamer0.10-plugins-good

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.5-3mdv2009.0
+ Revision: 195036
- suggests elisa-plugins-ugly

* Sun Mar 23 2008 Anne Nicolas <ennael@mandriva.org> 0.3.5-2mdv2008.1
+ Revision: 189626
- Fix Mandriva menu for Elisa

* Tue Mar 18 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.5-1mdv2008.1
+ Revision: 188614
- update file list
- clean up svn / pre-release conditionals
- new release 0.3.5

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 180276
- drop bogus example MimeType line from the .desktop file (thanks neoclust)

* Tue Mar 04 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 178929
- use Graphical desktop/Other as the group
- split into elisa and elisa-core to resolve dependency issue with plugins
- final 0.3.4

* Sun Mar 02 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-0.rc3.3mdv2008.1
+ Revision: 177619
- requires elisa-plugins-bad (it shouldn't, but it does: tested by me and anne)

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-0.rc3.2mdv2008.1
+ Revision: 177518
- requires plugins-good (won't launch without it: reported upstream)

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-0.rc3.1mdv2008.1
+ Revision: 177152
- adjust file lists
- new release 0.3.4.rc3

* Fri Feb 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-0.rc1.1mdv2008.1
+ Revision: 176633
- ok, that wasn't the right way to do it...
- correct fversion
- ghost plugins directory
- adjust spec for building core only (plugins now will be separate .src.rpms)
- new release 0.3.4rc1

* Tue Feb 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.3.1-0.5106.2mdv2008.1
+ Revision: 175559
- fix a stray #
- add parameters so build pre-generates .pyo as well as .pyc files (per policy)

* Tue Feb 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.3.1-0.5106.1mdv2008.1
+ Revision: 175245
- stupid, stupid upstream versioning...
- drop slideshow.patch (effectively merged upstream)
- new snapshot 5106

* Sat Feb 23 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.3.1-0.5063.1mdv2008.1
+ Revision: 174022
- add slideshow.patch to make the slideshow plugin get installed (it seems to be required for elisa to launch)
- adapt to totally new buildsystem (all plugins still in main package for now)
- update to svn (to match new pigment and pigment-python)

* Wed Feb 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.3-3mdv2008.1
+ Revision: 166846
- correct license (now GPLv3, not v2)
- including a pre-compiled .so file violates Mandriva packaging policy, noarch, and common decency, so remove this atrocity

* Wed Jan 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.3-2mdv2008.1
+ Revision: 160137
- requires pyxdg and python-setuptools (thanks Anne and Erwan)

* Sat Jan 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.3-1mdv2008.1
+ Revision: 158188
- br gstreamer0.10-python
- adjust spec
- new release 0.3.3

* Fri Dec 28 2007 Adam Williamson <awilliamson@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 138691
- correct file list
- drop fixhal.patch, merged upstream
- new release 0.3.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 08 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.6-2mdv2008.0
+ Revision: 37468
- Patch0 (SVN): fix hal plugin
- add dependency on dbus-python and python-setuptools

  + Adam Williamson <awilliamson@mandriva.org>
    - correct URL
    - use %%pyver, do not hardcode 2.5

* Thu May 10 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.6-1mdv2008.0
+ Revision: 26134
- noarch
- BuildRequires desktop-file-utils
- Import elisa

